source: src/libcfa/Makefile.in @ 6e4b913

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglerjacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since 6e4b913 was 6e4b913, checked in by Peter A. Buhr <pabuhr@…>, 6 years ago

allow 32-bit compilation of cfa-cpp, and 32-bit compilation of CFA programs (including CFA libraries)

  • Property mode set to 100644
File size: 21.6 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__dirstamp = $(am__leading_dot)dirstamp
92am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
93        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
94        rational.$(OBJEXT) containers/vector.$(OBJEXT)
95am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
96libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
97DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
98depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
99am__depfiles_maybe = depfiles
100am__mv = mv -f
101COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
102        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
103AM_V_CC = $(am__v_CC_@AM_V@)
104am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
105am__v_CC_0 = @echo "  CC    " $@;
106CCLD = $(CC)
107LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
108AM_V_CCLD = $(am__v_CCLD_@AM_V@)
109am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
110am__v_CCLD_0 = @echo "  CCLD  " $@;
111AM_V_GEN = $(am__v_GEN_@AM_V@)
112am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
113am__v_GEN_0 = @echo "  GEN   " $@;
114SOURCES = $(libcfa_a_SOURCES)
115DIST_SOURCES = $(libcfa_a_SOURCES)
116DATA = $(cfalib_DATA)
117HEADERS = $(nobase_include_HEADERS)
118ETAGS = etags
119CTAGS = ctags
120DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
121ACLOCAL = @ACLOCAL@
122ALLOCA = @ALLOCA@
123AMTAR = @AMTAR@
124AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
125AUTOCONF = @AUTOCONF@
126AUTOHEADER = @AUTOHEADER@
127AUTOMAKE = @AUTOMAKE@
128AWK = @AWK@
129BACKEND_CC = @BACKEND_CC@
130CC = ${abs_top_srcdir}/src/driver/cfa
131CCDEPMODE = @CCDEPMODE@
132CFA_BACKEND_CC = @CFA_BACKEND_CC@
133CFA_BINDIR = @CFA_BINDIR@
134CFA_FLAGS = @CFA_FLAGS@
135CFA_INCDIR = @CFA_INCDIR@
136CFA_LIBDIR = @CFA_LIBDIR@
137CFA_PREFIX = @CFA_PREFIX@
138CFLAGS = -quiet -g -Wall -Wno-unused-function @CFA_FLAGS@ -B${abs_top_srcdir}/src/driver -XCFA -t # TEMPORARY: does not build with -O2
139CPP = @CPP@
140CPPFLAGS = @CPPFLAGS@
141CXX = @CXX@
142CXXDEPMODE = @CXXDEPMODE@
143CXXFLAGS = @CXXFLAGS@
144CYGPATH_W = @CYGPATH_W@
145DEFS = @DEFS@
146DEPDIR = @DEPDIR@
147ECHO_C = @ECHO_C@
148ECHO_N = @ECHO_N@
149ECHO_T = @ECHO_T@
150EGREP = @EGREP@
151EXEEXT = @EXEEXT@
152GREP = @GREP@
153INSTALL = @INSTALL@
154INSTALL_DATA = @INSTALL_DATA@
155INSTALL_PROGRAM = @INSTALL_PROGRAM@
156INSTALL_SCRIPT = @INSTALL_SCRIPT@
157INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
158LDFLAGS = @LDFLAGS@
159LEX = @LEX@
160LEXLIB = @LEXLIB@
161LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
162LIBOBJS = @LIBOBJS@
163LIBS = @LIBS@
164LTLIBOBJS = @LTLIBOBJS@
165MAINT = @MAINT@
166MAKEINFO = @MAKEINFO@
167MKDIR_P = @MKDIR_P@
168OBJEXT = @OBJEXT@
169PACKAGE = @PACKAGE@
170PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
171PACKAGE_NAME = @PACKAGE_NAME@
172PACKAGE_STRING = @PACKAGE_STRING@
173PACKAGE_TARNAME = @PACKAGE_TARNAME@
174PACKAGE_URL = @PACKAGE_URL@
175PACKAGE_VERSION = @PACKAGE_VERSION@
176PATH_SEPARATOR = @PATH_SEPARATOR@
177RANLIB = @RANLIB@
178SET_MAKE = @SET_MAKE@
179SHELL = @SHELL@
180STRIP = @STRIP@
181VERSION = @VERSION@
182YACC = @YACC@
183YFLAGS = @YFLAGS@
184abs_builddir = @abs_builddir@
185abs_srcdir = @abs_srcdir@
186abs_top_builddir = @abs_top_builddir@
187abs_top_srcdir = @abs_top_srcdir@
188ac_ct_CC = @ac_ct_CC@
189ac_ct_CXX = @ac_ct_CXX@
190am__include = @am__include@
191am__leading_dot = @am__leading_dot@
192am__quote = @am__quote@
193am__tar = @am__tar@
194am__untar = @am__untar@
195bindir = @bindir@
196build_alias = @build_alias@
197builddir = @builddir@
198datadir = @datadir@
199datarootdir = @datarootdir@
200docdir = @docdir@
201dvidir = @dvidir@
202exec_prefix = @exec_prefix@
203host_alias = @host_alias@
204htmldir = @htmldir@
205includedir = @includedir@
206infodir = @infodir@
207install_sh = @install_sh@
208libdir = @libdir@
209libexecdir = @libexecdir@
210localedir = @localedir@
211localstatedir = @localstatedir@
212mandir = @mandir@
213mkdir_p = @mkdir_p@
214oldincludedir = @oldincludedir@
215pdfdir = @pdfdir@
216prefix = @prefix@
217program_transform_name = @program_transform_name@
218psdir = @psdir@
219sbindir = @sbindir@
220sharedstatedir = @sharedstatedir@
221srcdir = @srcdir@
222sysconfdir = @sysconfdir@
223target_alias = @target_alias@
224top_build_prefix = @top_build_prefix@
225top_builddir = @top_builddir@
226top_srcdir = @top_srcdir@
227
228# create object files in directory with source files
229AUTOMAKE_OPTIONS = subdir-objects
230lib_LIBRARIES = libcfa.a
231
232# put into lib for now
233cfalibdir = ${libdir}
234cfalib_DATA = builtins.cf extras.cf prelude.cf
235MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
236headers = limits stdlib math iostream fstream iterator rational containers/vector
237libobjs = ${headers:=.o}
238libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
239stdhdr = ${shell echo stdhdr/*}
240nobase_include_HEADERS = ${headers} ${stdhdr}
241CLEANFILES = libcfa-prelude.c
242all: all-am
243
244.SUFFIXES:
245.SUFFIXES: .c .o .obj
246$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
247        @for dep in $?; do \
248          case '$(am__configure_deps)' in \
249            *$$dep*) \
250              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
251                && { if test -f $@; then exit 0; else break; fi; }; \
252              exit 1;; \
253          esac; \
254        done; \
255        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
256        $(am__cd) $(top_srcdir) && \
257          $(AUTOMAKE) --foreign src/libcfa/Makefile
258.PRECIOUS: Makefile
259Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
260        @case '$?' in \
261          *config.status*) \
262            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
263          *) \
264            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
265            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
266        esac;
267
268$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
269        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
270
271$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
272        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
273$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
274        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
275$(am__aclocal_m4_deps):
276install-libLIBRARIES: $(lib_LIBRARIES)
277        @$(NORMAL_INSTALL)
278        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
279        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
280        list2=; for p in $$list; do \
281          if test -f $$p; then \
282            list2="$$list2 $$p"; \
283          else :; fi; \
284        done; \
285        test -z "$$list2" || { \
286          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
287          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
288        @$(POST_INSTALL)
289        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
290        for p in $$list; do \
291          if test -f $$p; then \
292            $(am__strip_dir) \
293            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
294            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
295          else :; fi; \
296        done
297
298uninstall-libLIBRARIES:
299        @$(NORMAL_UNINSTALL)
300        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
301        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
302        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
303
304clean-libLIBRARIES:
305        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
306containers/$(am__dirstamp):
307        @$(MKDIR_P) containers
308        @: > containers/$(am__dirstamp)
309containers/$(DEPDIR)/$(am__dirstamp):
310        @$(MKDIR_P) containers/$(DEPDIR)
311        @: > containers/$(DEPDIR)/$(am__dirstamp)
312containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
313        containers/$(DEPDIR)/$(am__dirstamp)
314libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
315        $(AM_V_at)-rm -f libcfa.a
316        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
317        $(AM_V_at)$(RANLIB) libcfa.a
318
319mostlyclean-compile:
320        -rm -f *.$(OBJEXT)
321        -rm -f containers/vector.$(OBJEXT)
322
323distclean-compile:
324        -rm -f *.tab.c
325
326@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
327@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
328@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
329@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
330@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
331@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
332@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
333@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
334@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
335
336.c.o:
337@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
338@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
339@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
340@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
341@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
342@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
343
344.c.obj:
345@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
346@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
347@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
348@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
349@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
350@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
351install-cfalibDATA: $(cfalib_DATA)
352        @$(NORMAL_INSTALL)
353        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
354        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
355        for p in $$list; do \
356          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
357          echo "$$d$$p"; \
358        done | $(am__base_list) | \
359        while read files; do \
360          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
361          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
362        done
363
364uninstall-cfalibDATA:
365        @$(NORMAL_UNINSTALL)
366        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
367        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
368        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
369install-nobase_includeHEADERS: $(nobase_include_HEADERS)
370        @$(NORMAL_INSTALL)
371        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
372        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
373        $(am__nobase_list) | while read dir files; do \
374          xfiles=; for file in $$files; do \
375            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
376            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
377          test -z "$$xfiles" || { \
378            test "x$$dir" = x. || { \
379              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
380              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
381            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
382            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
383        done
384
385uninstall-nobase_includeHEADERS:
386        @$(NORMAL_UNINSTALL)
387        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
388        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
389        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
390
391ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
392        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
393        unique=`for i in $$list; do \
394            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
395          done | \
396          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
397              END { if (nonempty) { for (i in files) print i; }; }'`; \
398        mkid -fID $$unique
399tags: TAGS
400
401TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
402                $(TAGS_FILES) $(LISP)
403        set x; \
404        here=`pwd`; \
405        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
406        unique=`for i in $$list; do \
407            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
408          done | \
409          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
410              END { if (nonempty) { for (i in files) print i; }; }'`; \
411        shift; \
412        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
413          test -n "$$unique" || unique=$$empty_fix; \
414          if test $$# -gt 0; then \
415            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
416              "$$@" $$unique; \
417          else \
418            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
419              $$unique; \
420          fi; \
421        fi
422ctags: CTAGS
423CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
424                $(TAGS_FILES) $(LISP)
425        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
426        unique=`for i in $$list; do \
427            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
428          done | \
429          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
430              END { if (nonempty) { for (i in files) print i; }; }'`; \
431        test -z "$(CTAGS_ARGS)$$unique" \
432          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
433             $$unique
434
435GTAGS:
436        here=`$(am__cd) $(top_builddir) && pwd` \
437          && $(am__cd) $(top_srcdir) \
438          && gtags -i $(GTAGS_ARGS) "$$here"
439
440distclean-tags:
441        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
442
443distdir: $(DISTFILES)
444        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
445        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
446        list='$(DISTFILES)'; \
447          dist_files=`for file in $$list; do echo $$file; done | \
448          sed -e "s|^$$srcdirstrip/||;t" \
449              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
450        case $$dist_files in \
451          */*) $(MKDIR_P) `echo "$$dist_files" | \
452                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
453                           sort -u` ;; \
454        esac; \
455        for file in $$dist_files; do \
456          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
457          if test -d $$d/$$file; then \
458            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
459            if test -d "$(distdir)/$$file"; then \
460              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
461            fi; \
462            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
463              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
464              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
465            fi; \
466            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
467          else \
468            test -f "$(distdir)/$$file" \
469            || cp -p $$d/$$file "$(distdir)/$$file" \
470            || exit 1; \
471          fi; \
472        done
473check-am: all-am
474check: check-am
475all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
476installdirs:
477        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
478          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
479        done
480install: install-am
481install-exec: install-exec-am
482install-data: install-data-am
483uninstall: uninstall-am
484
485install-am: all-am
486        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
487
488installcheck: installcheck-am
489install-strip:
490        if test -z '$(STRIP)'; then \
491          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
492            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
493              install; \
494        else \
495          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
496            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
497            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
498        fi
499mostlyclean-generic:
500
501clean-generic:
502        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
503
504distclean-generic:
505        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
506        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
507        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
508        -rm -f containers/$(am__dirstamp)
509
510maintainer-clean-generic:
511        @echo "This command is intended for maintainers to use"
512        @echo "it deletes files that may require special tools to rebuild."
513        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
514clean: clean-am
515
516clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
517
518distclean: distclean-am
519        -rm -rf ./$(DEPDIR) containers/$(DEPDIR)
520        -rm -f Makefile
521distclean-am: clean-am distclean-compile distclean-generic \
522        distclean-tags
523
524dvi: dvi-am
525
526dvi-am:
527
528html: html-am
529
530html-am:
531
532info: info-am
533
534info-am:
535
536install-data-am: install-cfalibDATA install-nobase_includeHEADERS
537
538install-dvi: install-dvi-am
539
540install-dvi-am:
541
542install-exec-am: install-libLIBRARIES
543
544install-html: install-html-am
545
546install-html-am:
547
548install-info: install-info-am
549
550install-info-am:
551
552install-man:
553
554install-pdf: install-pdf-am
555
556install-pdf-am:
557
558install-ps: install-ps-am
559
560install-ps-am:
561
562installcheck-am:
563
564maintainer-clean: maintainer-clean-am
565        -rm -rf ./$(DEPDIR) containers/$(DEPDIR)
566        -rm -f Makefile
567maintainer-clean-am: distclean-am maintainer-clean-generic \
568        maintainer-clean-local
569
570mostlyclean: mostlyclean-am
571
572mostlyclean-am: mostlyclean-compile mostlyclean-generic
573
574pdf: pdf-am
575
576pdf-am:
577
578ps: ps-am
579
580ps-am:
581
582uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
583        uninstall-nobase_includeHEADERS
584
585.MAKE: install-am install-strip
586
587.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
588        clean-libLIBRARIES ctags distclean distclean-compile \
589        distclean-generic distclean-tags distdir dvi dvi-am html \
590        html-am info info-am install install-am install-cfalibDATA \
591        install-data install-data-am install-dvi install-dvi-am \
592        install-exec install-exec-am install-html install-html-am \
593        install-info install-info-am install-libLIBRARIES install-man \
594        install-nobase_includeHEADERS install-pdf install-pdf-am \
595        install-ps install-ps-am install-strip installcheck \
596        installcheck-am installdirs maintainer-clean \
597        maintainer-clean-generic maintainer-clean-local mostlyclean \
598        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
599        tags uninstall uninstall-am uninstall-cfalibDATA \
600        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
601
602
603# create extra forward types/declarations to reduce inclusion of library files
604extras.cf : extras.regx extras.c
605        $(AM_V_GEN)@BACKEND_CC@ @CFA_FLAGS@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
606
607# create forward declarations for gcc builtins
608builtins.cf : builtins.c
609        $(AM_V_GEN)if [ -e $< ] ; then \
610                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
611        fi
612
613builtins.c : builtins.def prototypes.awk
614        $(AM_V_GEN)if [ -e $< ] ; then \
615                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
616        fi
617
618builtins.def :
619
620prototypes.awk :
621
622#--------------------------------------------------
623
624libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
625        $(AM_V_GEN)${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
626
627libcfa-prelude.o : libcfa-prelude.c
628         $(AM_V_GEN)@BACKEND_CC@ @CFA_FLAGS@ -c -o $@ $<
629
630# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
631% : %.c
632        @true
633
634${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA}        # add dependency to cfa-cpp so all libraries are rebuilt with new translator
635
636maintainer-clean-local:
637        -rm -rf ${includedir}/*
638
639# Tell versions [3.59,3.63) of GNU make to not export all variables.
640# Otherwise a system limit (for SysV at least) may be exceeded.
641.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.